use strict;
use warnings;
use Module::Build;

my $builder = Module::Build->new(
    module_name         => 'Task::App::ZofCMS',
    license             => 'perl',
    dist_author         => 'Zoffix Znet <zoffix@cpan.org>',
    dist_version_from   => 'lib/Task/App/ZofCMS.pm',
    build_requires => {
        'Test::More' => 0,
    },
    requires => {
        'App::ZofCMS'                                          => '0.0221',
        'App::ZofCMS::Test::Plugin'                            => '0.0104',
        'App::ZofCMS::Plugin::AccessDenied'                    => '0.0101',
        'App::ZofCMS::Plugin::AntiSpamMailTo'                  => '0.0101',
        'App::ZofCMS::Plugin::AutoDump'                        => '0.0101',
        'App::ZofCMS::Plugin::AutoEmptyQueryDelete'            => '0.0101',
        'App::ZofCMS::Plugin::AutoIMGSize'                     => '0.0102',
        'App::ZofCMS::Plugin::Barcode'                         => '0.0103',
        'App::ZofCMS::Plugin::Base'                            => '0.0106',
        'App::ZofCMS::Plugin::BasicLWP'                        => '0.0104',
        'App::ZofCMS::Plugin::BoolSettingsManager'             => '0.0101',
        'App::ZofCMS::Plugin::BreadCrumbs'                     => '0.0103',
        'App::ZofCMS::Plugin::Captcha'                         => '0.0102',
        'App::ZofCMS::Plugin::Comments'                        => '0.0102',
        'App::ZofCMS::Plugin::ConditionalRedirect'             => '0.0101',
        'App::ZofCMS::Plugin::ConfigToTemplate'                => '0.0104',
        'App::ZofCMS::Plugin::Cookies'                         => '0.0104',
        'App::ZofCMS::Plugin::CSSMinifier'                     => '0.0104',
        'App::ZofCMS::Plugin::DateSelector'                    => '0.0112',
        'App::ZofCMS::Plugin::DBI'                             => '0.0402',
        'App::ZofCMS::Plugin::DBIPPT'                          => '0.0104',
        'App::ZofCMS::Plugin::Debug::Dumper'                   => '0.0102',
        'App::ZofCMS::Plugin::Debug::Validator::HTML'          => '0.0102',
        'App::ZofCMS::Plugin::DirTreeBrowse'                   => '0.0105',
        'App::ZofCMS::Plugin::Doctypes'                        => '0.0101',
        'App::ZofCMS::Plugin::FileList'                        => '0.0101',
        'App::ZofCMS::Plugin::FileToTemplate'                  => '0.0101',
        'App::ZofCMS::Plugin::FileTypeIcon'                    => '0.0105',
        'App::ZofCMS::Plugin::FileUpload'                      => '0.0114',
        'App::ZofCMS::Plugin::FloodControl'                    => '0.0103',
        'App::ZofCMS::Plugin::FormChecker'                     => '0.0341',
        'App::ZofCMS::Plugin::FormFiller'                      => '0.0101',
        'App::ZofCMS::Plugin::FormMailer'                      => '0.0222',
        'App::ZofCMS::Plugin::FormToDatabase'                  => '0.0101',
        'App::ZofCMS::Plugin::GetRemotePageTitle'              => '0.0104',
        'App::ZofCMS::Plugin::GoogleCalculator'                => '0.0103',
        'App::ZofCMS::Plugin::GooglePageRank'                  => '0.0103',
        'App::ZofCMS::Plugin::GoogleTime'                      => '0.0103',
        'App::ZofCMS::Plugin::HTMLFactory'                     => '0.0102',
        'App::ZofCMS::Plugin::HTMLFactory::Entry'              => '0.0101',
        'App::ZofCMS::Plugin::HTMLFactory::PageToBodyId'       => '0.0102',
        'App::ZofCMS::Plugin::HTMLMailer'                      => '0.0102',
        'App::ZofCMS::Plugin::ImageGallery'                    => '0.0203',
        'App::ZofCMS::Plugin::ImageResize'                     => '0.0103',
        'App::ZofCMS::Plugin::InstalledModuleChecker'          => '0.0102',
        'App::ZofCMS::Plugin::JavaScriptMinifier'              => '0.0102',
        'App::ZofCMS::Plugin::LinkifyText'                     => '0.0110',
        'App::ZofCMS::Plugin::LinksToSpecs::CSS'               => '0.0104',
        'App::ZofCMS::Plugin::LinksToSpecs::HTML'              => '0.0101',
        'App::ZofCMS::Plugin::NavMaker'                        => '0.0103',
        'App::ZofCMS::Plugin::PreferentialOrder'               => '0.0102',
        'App::ZofCMS::Plugin::QueryToTemplate'                 => '0.0102',
        'App::ZofCMS::Plugin::QuickNote'                       => '0.0107',
        'App::ZofCMS::Plugin::RandomBashOrgQuote'              => '0.0102',
        'App::ZofCMS::Plugin::RandomPasswordGenerator'         => '0.0102',
        'App::ZofCMS::Plugin::RandomPasswordGeneratorPurePerl' => '0.0103',
        'App::ZofCMS::Plugin::Search::Indexer'                 => '0.0102',
        'App::ZofCMS::Plugin::SendFile'                        => '0.0103',
        'App::ZofCMS::Plugin::Session'                         => '0.0102',
        'App::ZofCMS::Plugin::SplitPriceSelect'                => '0.0103',
        'App::ZofCMS::Plugin::StyleSwitcher'                   => '0.0102',
        'App::ZofCMS::Plugin::Sub'                             => '0.0101',
        'App::ZofCMS::Plugin::Syntax::Highlight::CSS'          => '0.0102',
        'App::ZofCMS::Plugin::Syntax::Highlight::HTML'         => '0.0101',
        'App::ZofCMS::Plugin::TagCloud'                        => '0.0103',
        'App::ZofCMS::Plugin::Tagged'                          => '0.0252',
        'App::ZofCMS::Plugin::TOC'                             => '0.0103',
        'App::ZofCMS::Plugin::UserLogin'                       => '0.0212',
        'App::ZofCMS::Plugin::UserLogin::ChangePassword'       => '0.0110',
        'App::ZofCMS::Plugin::UserLogin::ForgotPassword'       => '0.0112',
        'App::ZofCMS::Plugin::ValidationLinks'                 => '0.0101',
        'App::ZofCMS::Plugin::YouTube'                         => '0.0104',
        'App::ZofCMS::PluginReference'                         => '0.0106',
    },
    add_to_cleanup      => [ 'Task-App-ZofCMS-*' ],
    create_makefile_pl => 'traditional',
);

$builder->create_build_script();
